summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArnaldo Carvalho de Melo <acme@redhat.com>2026-02-09 10:58:44 -0300
committerArnaldo Carvalho de Melo <acme@redhat.com>2026-02-09 15:47:03 -0300
commit2a400eeba40b4cf1fb28f78f41bf73a898b00d06 (patch)
treeca9f5a620306f0b8efb26b81998afb870f60900c
parent1d3ffe6233b1b6e8697f5027b9441ce70385c997 (diff)
perf test code_with_type.sh: Skip test if rust wasn't available at build time
$ perf test 'perf data type profiling tests' 83: perf data type profiling tests : Skip $ perf test -vv 'perf data type profiling tests' 83: perf data type profiling tests: --- start --- test child forked, pid 977213 Skip: code_with_type workload not built in 'perf test' ---- end(-2) ---- 83: perf data type profiling tests : Skip $ Cc: Dmitrii Dolgov <9erthalion6@gmail.com> Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
-rwxr-xr-xtools/perf/tests/shell/data_type_profiling.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tools/perf/tests/shell/data_type_profiling.sh b/tools/perf/tests/shell/data_type_profiling.sh
index a230f5d4c42c..3ef72a10850d 100755
--- a/tools/perf/tests/shell/data_type_profiling.sh
+++ b/tools/perf/tests/shell/data_type_profiling.sh
@@ -4,6 +4,11 @@
set -e
+if ! perf test --list-workloads | grep -qw code_with_type ; then
+ echo "Skip: code_with_type workload not built in 'perf test'"
+ exit 2
+fi
+
# The logic below follows the same line as the annotate test, but looks for a
# data type profiling manifestation